[Daca-devel] cppcheck inline suppressing?

Peter Pentchev roam at ringlet.net
Mon Jan 10 15:46:18 UTC 2011


Hi,

What do you think about the attached patch that would allow DACA to
not report cppcheck messages that have been explicitly suppressed by
either the upstream author or the Debian maintainer?  There are several
such cases in the packages I maintain - some of them are false positives
that I intend to report to the cppcheck author, but it would be nice to
be able to let DACA know that I'm aware of those and they are not really
much of a problem :)

Thanks for working on DACA and Debian in general!

G'luck,
Peter

-- 
Peter Pentchev	roam at space.bg    roam at ringlet.net    roam at FreeBSD.org
PGP key:	http://people.FreeBSD.org/~roam/roam.key.asc
Key fingerprint	FDBA FD79 C26F 3C51 C95E  DF9E ED18 B68D 1619 4553
This sentence every third, but it still comprehensible.
-------------- next part --------------
From 5f1019b158cdb8889973db7f8530226937c3dc8e Mon Sep 17 00:00:00 2001
From: Peter Pentchev <roam at ringlet.net>
Date: Mon, 10 Jan 2011 16:22:51 +0200
Subject: [PATCH] Allow packages to suppress cppcheck warnings.

---
 scripts/distributed/v1/worker/run-cppcheck.sh |    2 +-
 scripts/local/run-cppcheck.sh                 |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/scripts/distributed/v1/worker/run-cppcheck.sh b/scripts/distributed/v1/worker/run-cppcheck.sh
index 1c6d60c..1125953 100755
--- a/scripts/distributed/v1/worker/run-cppcheck.sh
+++ b/scripts/distributed/v1/worker/run-cppcheck.sh
@@ -137,7 +137,7 @@ for file in $FILES; do
     ulimit -t 108000
     # disable --force for now
     es=0
-    cppcheck -v --xml . 2> "../$file.report" | annotate-output cat > ../out || es=$?
+    cppcheck -v --xml --inline-suppr . 2> "../$file.report" | annotate-output cat > ../out || es=$?
     [ $es -eq 0 ] || echo Exit status: $es > "../$file.error"
     )
 
diff --git a/scripts/local/run-cppcheck.sh b/scripts/local/run-cppcheck.sh
index 4fa80f4..721b941 100755
--- a/scripts/local/run-cppcheck.sh
+++ b/scripts/local/run-cppcheck.sh
@@ -133,7 +133,7 @@ for bfile in $FILES; do
 	ulimit -t 108000
 	# disable --force for now
 	es=0
-	cppcheck -v --xml . 2> "../$file.report" | annotate-output cat > ../out || es=$?
+	cppcheck -v --xml --inline-suppr . 2> "../$file.report" | annotate-output cat > ../out || es=$?
 	[ $es -eq 0 ] || echo Exit status: $es > "../$file.error"
 	)
 
-- 
1.7.2.3

-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 836 bytes
Desc: Digital signature
URL: <http://lists.alioth.debian.org/pipermail/daca-devel/attachments/20110110/5025a384/attachment.pgp>


More information about the Daca-devel mailing list